Passer au contenu principal
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
sponsored-brand
/
{campaign-id}
Get a sponsored brand campaign.
curl --request GET \
  --url https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/sponsored-brand/{campaign-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "vendorId": "<string>",
  "name": "<string>",
  "isActive": true,
  "isAutoTrigger": true,
  "slotId": "<string>",
  "schedule": [
    {
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z"
    }
  ],
  "content": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isAgency": true,
  "budget": {
    "amount": 123,
    "amountRemaining": 123,
    "amountCarryover": 123,
    "amountUsed": 123
  },
  "externalCampaignId": "<string>",
  "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "targetRoas": 15.25
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Paramètres de chemin

campaign-id
string<uuid>
requis

The ID of the campaign.

Réponse

Successful Response

A regular sponsored brand campaign returned by the public API.

campaignId
string<uuid>
requis

The ID of the campaign.

marketplaceId
string<uuid>
requis

The ID of the marketplace.

vendorId
string
requis

The external vendor ID.

name
string
requis

The name of the campaign.

Minimum string length: 1
Exemple:

"Bola-Bola Ad campaign"

isActive
boolean
requis

Whether the campaign is active.

status
enum<string>
requis

The approval status of the sponsored brand campaign.

Options disponibles:
approved,
pending,
rejected
isAutoTrigger
boolean
requis

Whether the campaign is auto-triggered.

slotId
string
requis

The external slot ID where the sponsored brand campaign is shown.

schedule
Schedule · object[]
requis

The schedule for the campaign.

Required array length: 1 element
content
Content · object
requis

Dynamic content validated against the slot's JSON template.

createdAt
string<date-time>
requis

When this campaign was created.

updatedAt
string<date-time>
requis

When this campaign was last updated.

bidType
enum<string>
requis

The bidding type of the campaign.

Options disponibles:
manual,
autobidding
isAgency
boolean
requis

Whether this campaign is promoted by an agency.

chargeType
enum<string>
requis

How campaigns are charged.

Options disponibles:
CPM,
CPC,
CPA
budget
Budget · object
requis

The assigned budget for the campaign.

externalCampaignId
string | null

The external ID of the campaign in the marketplace.

walletId
string<uuid> | null

The uuid of the wallet used with this campaign.

targetRoas
number | null

Indicates the vendor's target return on ad spend.

Plage requise: 0.5 <= x <= 30
targetRoasPreference
enum<string> | null

Target ROAS preference label.

Options disponibles:
aggressive,
conservative,
moderate,
custom
autobiddingObjective
enum<string> | null

The objective of the campaign.

Options disponibles:
impressions,
clicks,
conversions,
revenue